---
File: DEP-11
Version: '0.16'
Origin: regina-buster-main
MediaBaseUrl: https://people.debian.org/~bab/regina/media/buster
Priority: 99
Time: 20230510T070237
---
Type: desktop-application
ID: regina.desktop
Package: regina-normal
Name:
  C: Regina
Summary:
  C: Mathematical software for low-dimensional topology
Description:
  C: >-
    <p>
          Regina is a software package for 3-manifold and 4-manifold topologists,
          with a focus on triangulations, knots and links, normal surfaces, and
          angle structures.
        </p>
    <p>
          For 3-manifolds, it includes high-level tasks such as 3-sphere
          recognition, connected sum decomposition and Hakenness testing,
          comes with a rich database of census manifolds, and incorporates the
          SnapPea kernel for working with hyperbolic manifolds.
          For 4-manifolds, it offers a range of combinatorial and algebraic tools,
          plus support for normal hypersurfaces.
          For knots and links, Regina can perform combinatorial manipulation,
          compute knot polynomials, and work with several import/export formats.
        </p>
    <p>
          Regina comes with a full graphical user interface, as well as
          Python bindings and a low-level C++ programming interface.
        </p>
ProjectLicense: GPL-2.0-or-later
Categories:
- Math
- Education
- Science
Url:
  homepage: https://regina-normal.github.io/
Icon:
  cached:
  - name: regina-normal_regina.png
    width: 48
    height: 48
  - name: regina-normal_regina.png
    width: 64
    height: 64
  - name: regina-normal_regina.png
    width: 128
    height: 128
  remote:
  - url: r/re/regina.desktop/347785d781cd9c49b7639b4e8bf365cb/icons/128x128/regina-normal_regina.png
    width: 128
    height: 128
  stock: regina
Launchable:
  desktop-id:
  - regina.desktop
Provides:
  mediatypes:
  - application/x-regina
Screenshots:
- default: true
  caption:
    C: 3-manifold and 4-manifold triangulations
  thumbnails:
  - url: r/re/regina.desktop/347785d781cd9c49b7639b4e8bf365cb/screenshots/image-1_1248x702.png
    width: 1248
    height: 702
  - url: r/re/regina.desktop/347785d781cd9c49b7639b4e8bf365cb/screenshots/image-1_752x423.png
    width: 752
    height: 423
  - url: r/re/regina.desktop/347785d781cd9c49b7639b4e8bf365cb/screenshots/image-1_624x351.png
    width: 624
    height: 351
  - url: r/re/regina.desktop/347785d781cd9c49b7639b4e8bf365cb/screenshots/image-1_224x126.png
    width: 224
    height: 126
  source-image:
    url: r/re/regina.desktop/347785d781cd9c49b7639b4e8bf365cb/screenshots/image-1_orig.png
    width: 1920
    height: 1080
- caption:
    C: Normal surfaces and angle structures
  thumbnails:
  - url: r/re/regina.desktop/347785d781cd9c49b7639b4e8bf365cb/screenshots/image-2_1248x702.png
    width: 1248
    height: 702
  - url: r/re/regina.desktop/347785d781cd9c49b7639b4e8bf365cb/screenshots/image-2_752x423.png
    width: 752
    height: 423
  - url: r/re/regina.desktop/347785d781cd9c49b7639b4e8bf365cb/screenshots/image-2_624x351.png
    width: 624
    height: 351
  - url: r/re/regina.desktop/347785d781cd9c49b7639b4e8bf365cb/screenshots/image-2_224x126.png
    width: 224
    height: 126
  source-image:
    url: r/re/regina.desktop/347785d781cd9c49b7639b4e8bf365cb/screenshots/image-2_orig.png
    width: 1920
    height: 1080
- caption:
    C: Knots and links
  thumbnails:
  - url: r/re/regina.desktop/347785d781cd9c49b7639b4e8bf365cb/screenshots/image-3_1248x702.png
    width: 1248
    height: 702
  - url: r/re/regina.desktop/347785d781cd9c49b7639b4e8bf365cb/screenshots/image-3_752x423.png
    width: 752
    height: 423
  - url: r/re/regina.desktop/347785d781cd9c49b7639b4e8bf365cb/screenshots/image-3_624x351.png
    width: 624
    height: 351
  - url: r/re/regina.desktop/347785d781cd9c49b7639b4e8bf365cb/screenshots/image-3_224x126.png
    width: 224
    height: 126
  source-image:
    url: r/re/regina.desktop/347785d781cd9c49b7639b4e8bf365cb/screenshots/image-3_orig.png
    width: 1920
    height: 1080
- caption:
    C: In-built Python scripting
  thumbnails:
  - url: r/re/regina.desktop/347785d781cd9c49b7639b4e8bf365cb/screenshots/image-4_1248x702.png
    width: 1248
    height: 702
  - url: r/re/regina.desktop/347785d781cd9c49b7639b4e8bf365cb/screenshots/image-4_752x423.png
    width: 752
    height: 423
  - url: r/re/regina.desktop/347785d781cd9c49b7639b4e8bf365cb/screenshots/image-4_624x351.png
    width: 624
    height: 351
  - url: r/re/regina.desktop/347785d781cd9c49b7639b4e8bf365cb/screenshots/image-4_224x126.png
    width: 224
    height: 126
  source-image:
    url: r/re/regina.desktop/347785d781cd9c49b7639b4e8bf365cb/screenshots/image-4_orig.png
    width: 1920
    height: 1080
Releases:
- version: '7.0'
  type: stable
  unix-timestamp: 1639872000
  description:
    C: >-
      <p>
                An enormous update for programmers: the native C++ interface is now
                built around modern language features, and Python is now a
                first-class citizen.  Plus several new topological and algebraic
                features, and a new, more flexible file format.
              </p>
- version: 6.0.1
  type: stable
  unix-timestamp: 1613088000
  description:
    C: >-
      <p>
                Fixes an issue for Python users, where the Triangulation3
                constructor could become unusable in the graphical user interface.
              </p>
- version: '6.0'
  type: stable
  unix-timestamp: 1610236800
  description:
    C: >-
      <p>
                Final polish on the recent 5.96 release, with a couple of new
                features also.
              </p>
- version: '5.96'
  type: stable
  unix-timestamp: 1608768000
  description:
    C: >-
      <p>
                A major overhaul from version 5.1 that includes
                native knots and links, Python 3 support, and many other
                new features and improvements.
              </p>
